<div class="placement-verification-history-dialog">
  <h4 mat-dialog-title>
    <mat-toolbar role="toolbar" class="task-header">
      <span class="fx-spacer"></span>
      <span> Placement Verification History</span>
      <span class="fx-spacer"></span>
      <button mat-icon-button (click)="ClosePlacementVerificationHistoryDialog()" class="close-btn">
        <mat-icon mat-list-icon>close</mat-icon>
      </button>
    </mat-toolbar>
  </h4>
  <mat-divider></mat-divider>
  <div mat-dialog-content>
    <div class="example-small-box mat-elevation-z0" fxLayout="column">
      <div class="table-filters-header" fxLayout="column">
        <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
          <mat-icon (click)="refreshAgGrid()" color="primary" matTooltip="Reset the filters">
            settings_backup_restore</mat-icon>
          <mat-icon (click)="onBtExport()" color="primary" matTooltip="Export to Excel">archive</mat-icon>
        </div>
      </div>
      <div class="example-container mat-elevation-z0">
        <ag-grid-angular #pvhAgGrid id="pvhGrid" style="width: 100%" class="ag-theme-balham my-grid"
          [columnDefs]="pvhColumnDefs" [defaultColDef]="defaultColDef" [rowClassRules]="rowClassRules"
          [groupDefaultExpanded]="-1" [groupUseEntireRow]="true" [rowData]="pvhRowData" [context]="context"
          [animateRows]="true" [gridOptions]="pvhGridOptions"
          [pagination]="true" [paginationPageSize]="10" [paginateChildRows]="true"
          [frameworkComponents]="frameworkComponents"
          (gridReady)="onPVHGridReady($event)">
        </ag-grid-angular>
        <span class="required-label-color"><i>Please close this window in order to access Clients Placement page.</i></span>
        <div fxLayout="row" class="grid-footer">
          <div class="foot-notes" fxLayoutAlign="start" fxFlex="auto"> <span class="color-grade"></span> Deleted Placements</div>
          <!-- <div class="paging-size-header" fxLayoutAlign="end" fxFlex="auto">
            Show&nbsp;&nbsp;
            <select (change)="onPageSizeChanged($event.target.value)">
              <option *ngFor="let size of pageSizes; index as i; last as isLast" value="{{size.pageSize}}">{{isLast ? 'All' : size.pageSize}}</option>
            </select>
            <span>&nbsp;&nbsp;Entries</span>
          </div> -->
        </div>
      </div>
    </div>
  </div>
  <!-- <mat-divider></mat-divider>
  <div mat-dialog-actions>
    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="end">
      <button type="button" mat-raised-button color="warn" matTooltip="Close" (click)="CloseDialog()">Close</button>
    </div>
  </div> -->
</div>
